Robot Simulator of the Robotics Group for Self-Organization of Control: InvertMotorController Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InvertMotorController Class Reference

Extended HomeokinBase class (still abstract) for robot controller work in motorspace and use possibly many steps and adaptive learning rate. More...

`#include <invertmotorcontroller.h>`

Inherits HomeokinBase.

Inherited by BasicController, InvertMotorBigModel, InvertMotorNStep, and InvertMotorSpace.

Inheritance diagram for InvertMotorController:

[legend]
Collaboration diagram for InvertMotorController:

[legend]
List of all members.

## Public Member Functions
| InvertMotorController (unsigned short buffersize, const std::string &name, const std::string &revision)
## Protected Attributes
paramval | desens
paramval | steps
| number of timesteps is used for controller learning
paramval | zetaupdate
paramval | dampA
| damping term for model (0: no damping, 0.1 high damping)
parambool | relativeE
| if not 0: a relative error signal is used (xsi is normalised in respect to |y|)
paramval | adaptRate
| adaptation rate for learning rate adaptation
paramval | nomUpdate
| nominal update of controller in respect to matrix norm
paramval | noiseB
| size of the additional noise for model bias B
paramval | noiseY
| size of the additional noise for motor values
paramval | teacher
| factor for teaching signal

## Detailed Description

Extended HomeokinBase class (still abstract) for robot controller work in motorspace and use possibly many steps and adaptive learning rate.

Parameters like dampA, adaptrate, noiseY...

## Constructor & Destructor Documentation

InvertMotorController | ( | unsigned short | buffersize,
|  | const std::string & | name,
|  | const std::string & | revision |
| ) |  |  | `[inline]`

## Member Data Documentation

paramval adaptRate`[protected]`

adaptation rate for learning rate adaptation

paramval dampA`[protected]`

damping term for model (0: no damping, 0.1 high damping)

paramval desens`[protected]`

paramval noiseB`[protected]`

size of the additional noise for model bias B

paramval noiseY`[protected]`

size of the additional noise for motor values

Reimplemented in InvertMotorNStep.

paramval nomUpdate`[protected]`

nominal update of controller in respect to matrix norm

parambool relativeE`[protected]`

if not 0: a relative error signal is used (xsi is normalised in respect to |y|)

paramval steps`[protected]`

number of timesteps is used for controller learning

paramval teacher`[protected]`

factor for teaching signal

paramval zetaupdate`[protected]`

The documentation for this class was generated from the following file:

- invertmotorcontroller.h